Time To Upgrade – MySQL Workbench 5.1 Is Here on Win, Mac & Linux

We just announced the latest MySQL Workbench 5.1 release, 5.1.16. This release was labeled GA, which means that everybody using WB 5.0 or an earlier version of WB 5.1 is recommended update to WB 5.1.16.

We are now putting our main focus on the WB 5.1 branch and will continue to provide rapid update releases during the next months. Please report any hidden issues you may still find on our bug-tracker bugs.mysql.com so we can take care of those quickly.

WB 5.1.16 is out!

After the dust settles we will also continue to work on WB 5.2 in parallel, to give you query & administrative functionality within a single, powerful but easy to use tool.

Happy schema designing with MySQL Workbench 5.1!

13 thoughts on “Time To Upgrade – MySQL Workbench 5.1 Is Here on Win, Mac & Linux”

  1. I can’t export my schema anymore, when I want to overwrite an existing file. The dialog asking me whether I actually want to overwrite the existing file ops up, I click “replace” and try clicking “continue”, which simply brings up the same security question.

  2. It would be great to be able to upgrade my Workbench 5.0SE to 5.1, but although I have tried several times to renew my subscription, it has now expired.
    I have submitted 3 renewal enquiries and received only blank emails in return. I phoned the USA from the UK and was forced to leave a message which was never responded to. Then I emailed enquiries and was told my email had been passed on to the relevant people. I still have not heard from them.
    Can anyone tell me what I am doing wrong? My subscription expired in the middle of June and I am now stuck.

  3. ups! I saved my model in workbench 5.2 alpha and now I can’t open it in workbench 5.1 (yes, I know you told not to do this :s I am sorry ) what can I do?

  4. I had some buffer overflows when I’m set some relations and delete this ones. After 10 or more times an error message appear and workbench has a ctd. Any solution?

    regards Dave

  5. xcallejas, i had the same problem than you, and I solved it the following way.

    First of all, I suggest you doing a backup of your file in order to avoid surprises… 😉

    Then you can transform your 5.2.1 MWB file into a 5.1.16 MWB file in a very simple way, just opening the created mwb file, that is a compressed file. At least in Ubuntu you can open with a double click.

    Then uncompress document.xml and edit it, replacing this line:

    And converting in:

    Then send this changed file into the compressed file mwb, and save it.

    You should open it without any problem now in 5.1.16 Workbench.

    Good luck!

Leave a Reply